# Tag

## GET /tag/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model28":{"type":"object","properties":{"tagId":{"type":"string"},"teamId":{"type":"string"},"name":{"type":"string"},"rootDomain":{"type":"string"},"domain":{"type":"string"},"createdAt":{"type":"string","format":"date"},"debug":{"type":"boolean"},"backup":{"type":"string"},"observability":{"type":"boolean"},"currencyConversion":{"type":"string"},"sameSite":{"type":"string"},"sdkVersion":{"type":"string"},"edgeVersion":{"type":"string"},"managed":{"type":"boolean"},"mode":{"type":"string"},"platform":{"$ref":"#/components/schemas/platform"},"cookieMapKey":{"type":"string"},"status":{"$ref":"#/components/schemas/status"},"allowedEvents":{"type":"string"},"gpc":{"type":"boolean"},"dnsRecords":{"$ref":"#/components/schemas/dnsRecords"},"deployedAt":{"type":"string","format":"date"},"deployId":{"type":"string"},"scripts":{"$ref":"#/components/schemas/Model23"},"host":{"$ref":"#/components/schemas/host"},"idStorageMapping":{"type":"string"},"consent":{"$ref":"#/components/schemas/consent"},"revenue":{"$ref":"#/components/schemas/revenue"},"d1UserScale":{"type":"number"},"d1UserCount":{"type":"number"},"currencyConversionType":{"$ref":"#/components/schemas/currencyConversionType"},"customCurrencyConversions":{"$ref":"#/components/schemas/customCurrencyConversions"},"currencyProviders":{"$ref":"#/components/schemas/currencyProviders"},"eventReplay":{"type":"boolean"},"skipZeroPurchaseEvent":{"type":"boolean"},"plugins":{"$ref":"#/components/schemas/Model26"},"bindings":{"type":"string"},"customCode":{"type":"string"},"strictOrigin":{"type":"boolean"},"showDeleteRequest":{"type":"boolean"},"allowHyperscalerQuery":{"type":"boolean"},"tagType":{"type":"string"},"configuratorSetting":{"$ref":"#/components/schemas/configuratorSetting"},"labels":{"$ref":"#/components/schemas/labels"},"team":{"$ref":"#/components/schemas/team"},"storageReferencedBy":{"$ref":"#/components/schemas/storageReferencedBy"}},"required":["tagId","teamId","name","rootDomain","domain","createdAt","debug","observability","currencyConversion","sameSite","sdkVersion","edgeVersion","managed","mode","platform","cookieMapKey","status","gpc","deployedAt","consent","d1UserScale","d1UserCount","currencyConversionType","eventReplay","skipZeroPurchaseEvent","bindings","customCode","strictOrigin","showDeleteRequest","allowHyperscalerQuery","tagType","configuratorSetting","storageReferencedBy"]},"platform":{"type":"string","enum":["EDGETAG","SHOPIFY","WOOCOMMERCE","BIGCOMMERCE","MAGENTO","SALESFORCE","WIX"]},"status":{"type":"string","enum":["ACTIVE","PAUSED","DELETED","HARD_DELETED"]},"dnsRecords":{"type":"array","items":{"$ref":"#/components/schemas/Model21"}},"Model21":{"type":"object","properties":{"value":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"TTL":{"type":"number"},"note":{"type":"string"}},"required":["value","type"]},"Model23":{"type":"array","items":{"$ref":"#/components/schemas/Model22"}},"Model22":{"type":"object","properties":{"scriptId":{"type":"string"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date"},"providerId":{"type":"string"},"consentCategory":{"type":"string"},"secrets":{"type":"object","properties":{"string":{"$ref":"#/components/schemas/string"}}},"geoRegions":{"type":"string"},"purchaseValueMode":{"$ref":"#/components/schemas/purchaseValueMode"}},"required":["scriptId","name","createdAt","providerId","purchaseValueMode"]},"string":{"type":"object","properties":{"secretId":{"type":"string"},"value":{"type":"string"},"type":{"type":"string"},"isSet":{"type":"boolean"},"optional":{"type":"boolean"}}},"purchaseValueMode":{"type":"string","enum":["gross","net"]},"host":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"hostId":{"type":"string"}},"required":["name","type","hostId"]},"consent":{"type":"string","enum":["DISABLED","SHOPIFY","ONETRUST","ETHYCA","TRANSCEND","COOKIEBOT","TERMLY","USERCENTRICS","TRUEVAULT","CUSTOM"]},"revenue":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}}},"currencyConversionType":{"type":"string","enum":["OFF","DYNAMIC","STATIC"]},"customCurrencyConversions":{"type":"array","items":{"$ref":"#/components/schemas/Model24"}},"Model24":{"type":"object","properties":{"from":{"type":"string"},"to":{"type":"string"},"value":{"type":"number"}},"required":["from","to","value"]},"currencyProviders":{"type":"array","items":{"type":"string"}},"Model26":{"type":"array","items":{"$ref":"#/components/schemas/Model25"}},"Model25":{"type":"object","properties":{"pluginId":{"type":"string"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date"},"providerId":{"type":"string"},"scripts":{"type":"string"},"providers":{"type":"string"},"secrets":{"type":"object","properties":{"string":{"$ref":"#/components/schemas/string"}}}},"required":["pluginId","name","createdAt","providerId"]},"configuratorSetting":{"type":"array","items":{"type":"string"}},"labels":{"type":"array","items":{"type":"string"}},"team":{"type":"object","properties":{"featureFlags":{"$ref":"#/components/schemas/featureFlags"}}},"featureFlags":{"type":"object"},"storageReferencedBy":{"type":"array","items":{"$ref":"#/components/schemas/Model27"}},"Model27":{"type":"object","properties":{"tagId":{"type":"string"},"domain":{"type":"string"}},"required":["tagId","domain"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/{tagId}":{"get":{"operationId":"getTagTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model28"}}}},"407":{"description":"Proxy Authentication Required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## PUT /tag/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model121":{"type":"object","properties":{"name":{"type":"string"},"domain":{"type":"string"},"rootDomain":{"type":"string"},"debug":{"type":"boolean"},"currencyConversion":{"type":"string"},"sameSite":{"$ref":"#/components/schemas/sameSite"},"managed":{"type":"boolean"},"hostId":{"type":"string"},"allowedEvents":{"type":"string"},"gpc":{"type":"boolean"},"cookieMapKey":{"type":"string"},"platform":{"$ref":"#/components/schemas/platform"},"idStorageMapping":{"type":"string"},"consent":{"$ref":"#/components/schemas/consent"},"currencyConversionType":{"$ref":"#/components/schemas/currencyConversionType"},"customCurrencyConversions":{"$ref":"#/components/schemas/Model120"},"currencyProviders":{"$ref":"#/components/schemas/currencyProviders"},"skipZeroPurchaseEvent":{"type":"boolean"},"strictOrigin":{"type":"boolean"}},"required":["name","domain","rootDomain","debug","currencyConversion","managed","gpc","platform"]},"sameSite":{"type":"string","enum":["NONE","LAX","STRICT"]},"platform":{"type":"string","enum":["EDGETAG","SHOPIFY","WOOCOMMERCE","BIGCOMMERCE","MAGENTO","SALESFORCE","WIX"]},"consent":{"type":"string","enum":["DISABLED","SHOPIFY","ONETRUST","ETHYCA","TRANSCEND","COOKIEBOT","TERMLY","USERCENTRICS","TRUEVAULT","CUSTOM"]},"currencyConversionType":{"type":"string","enum":["OFF","DYNAMIC","STATIC"]},"Model120":{"type":"array","items":{"$ref":"#/components/schemas/Model119"}},"Model119":{"type":"object","properties":{"from":{"type":"string"},"to":{"type":"string"},"value":{"type":"number"}},"required":["from","to","value"]},"currencyProviders":{"type":"array","items":{"type":"string"}}}},"paths":{"/tag/{tagId}":{"put":{"operationId":"putTagTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model121"}}}}}}}}
```

## DELETE /tag/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/{tagId}":{"delete":{"operationId":"deleteTagTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"400":{"description":"Domain not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"406":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/d1-cleanup/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model41":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/Model40"},"message":{"type":"string"}},"required":["status","message"]},"Model40":{"type":"string","enum":["success","error"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/d1-cleanup/{tagId}":{"get":{"operationId":"getTagD1cleanupTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"number"},"name":"dbIndex","in":"query","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model41"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/d1-migrate/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/d1-migrate/{tagId}":{"get":{"operationId":"getTagD1migrateTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/deploy/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model46":{"type":"object","properties":{"records":{"$ref":"#/components/schemas/records"},"domain":{"type":"string"},"scripts":{"$ref":"#/components/schemas/Model45"}},"required":["domain"]},"records":{"type":"array","items":{"$ref":"#/components/schemas/Model43"}},"Model43":{"type":"object","properties":{"value":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"TTL":{"type":"number"},"note":{"type":"string"}},"required":["value","type"]},"Model45":{"type":"array","items":{"$ref":"#/components/schemas/Model44"}},"Model44":{"type":"object","properties":{"providerId":{"type":"string"}},"required":["providerId"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/deploy/{tagId}":{"get":{"operationId":"getTagDeployTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model46"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/event\_drop/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model48":{"type":"array","items":{"$ref":"#/components/schemas/Model47"}},"Model47":{"type":"object","properties":{"eventDropId":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"today":{"type":"number"},"yesterday":{"type":"number"},"lastWeek":{"type":"number"},"createdAt":{"type":"string","format":"date"},"recoveryTime":{"type":"string","format":"date"}},"required":["eventDropId","name","type","today","yesterday","lastWeek","createdAt","recoveryTime"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/event_drop/{tagId}":{"get":{"operationId":"getTagEvent_dropTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string","enum":["EVENT","PROVIDER"]},"name":"type","in":"query","required":false}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model48"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/team/{teamId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model54":{"type":"array","items":{"$ref":"#/components/schemas/Model53"}},"Model53":{"type":"object","properties":{"tagId":{"type":"string"},"name":{"type":"string"},"domain":{"type":"string"},"debug":{"type":"boolean"},"sameSite":{"type":"string"},"sdkVersion":{"type":"string"},"edgeVersion":{"type":"string"},"managed":{"type":"boolean"},"dnsRecords":{"$ref":"#/components/schemas/Model50"},"deployedAt":{"type":"string","format":"date"},"scripts":{"$ref":"#/components/schemas/Model52"},"host":{"$ref":"#/components/schemas/host"}},"required":["tagId","name","domain","debug","sameSite","sdkVersion","edgeVersion","managed","deployedAt"]},"Model50":{"type":"array","items":{"$ref":"#/components/schemas/Model49"}},"Model49":{"type":"object","properties":{"value":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"TTL":{"type":"number"},"note":{"type":"string"}},"required":["value","type"]},"Model52":{"type":"array","items":{"$ref":"#/components/schemas/Model51"}},"Model51":{"type":"object","properties":{"scriptId":{"type":"string"},"name":{"type":"string"},"providerId":{"type":"string"}},"required":["scriptId","name","providerId"]},"host":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"hostId":{"type":"string"}},"required":["name","type","hostId"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/team/{teamId}":{"get":{"operationId":"getTagTeamTeamid","parameters":[{"schema":{"type":"string"},"name":"teamId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model54"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/attribution-summary/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model57":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/result"}},"required":["result"]},"result":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/attribution-summary/{tagId}":{"get":{"operationId":"getTagAnalyticsAttributionsummaryTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"from","in":"query","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"to","in":"query","required":true},{"schema":{"type":"string","default":"UTC","maxLength":50},"name":"timezone","in":"query"}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model57"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/attribution-trends/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model58":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/result"}},"required":["result"]},"result":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/attribution-trends/{tagId}":{"get":{"operationId":"getTagAnalyticsAttributiontrendsTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"from","in":"query","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"to","in":"query","required":true},{"schema":{"type":"string","default":"UTC","maxLength":50},"name":"timezone","in":"query"}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model58"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/event/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model59":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/Model42"}}},"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/event/{tagId}":{"get":{"operationId":"getTagAnalyticsEventTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string"},"name":"event","in":"query","required":true},{"schema":{"type":"number"},"name":"range","in":"query","required":true},{"schema":{"type":"string","enum":["DAY","HOUR","MINUTE"]},"name":"rangeType","in":"query","required":true},{"schema":{"type":"number"},"name":"status","in":"query","required":true},{"schema":{"type":"string"},"name":"timezone","in":"query","required":false}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model59"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/metrics-overview/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model60":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/result"}},"required":["result"]},"result":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/metrics-overview/{tagId}":{"get":{"operationId":"getTagAnalyticsMetricsoverviewTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"from","in":"query","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"to","in":"query","required":true},{"schema":{"type":"string","default":"UTC","maxLength":50},"name":"timezone","in":"query"}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model60"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/non-consented-trends/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model61":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/result"}},"required":["result"]},"result":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/non-consented-trends/{tagId}":{"get":{"operationId":"getTagAnalyticsNonconsentedtrendsTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"from","in":"query","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"to","in":"query","required":true},{"schema":{"type":"string","default":"UTC","maxLength":50},"name":"timezone","in":"query"}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model61"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/overview/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model62":{"type":"object","properties":{"result":{"type":"object","properties":{"string":{"type":"object","properties":{"string":{"type":"number"}}}}}},"required":["result"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/overview/{tagId}":{"get":{"operationId":"getTagAnalyticsOverviewTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string","enum":["status","name","provider"]},"name":"type","in":"query","required":true},{"schema":{"type":"string","enum":["MINUTE","HOUR","DAY","CUSTOM"]},"name":"rangeType","in":"query","required":true},{"schema":{"type":"number"},"name":"status","in":"query","required":false},{"schema":{"type":"string"},"name":"range","in":"query","required":true},{"schema":{"type":"string"},"name":"startRange","in":"query","required":true},{"schema":{"type":"string"},"name":"endRange","in":"query","required":true},{"schema":{"type":"string"},"name":"timezone","in":"query","required":false}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model62"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/provider/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model63":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/Model42"}}},"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/provider/{tagId}":{"get":{"operationId":"getTagAnalyticsProviderTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string"},"name":"provider","in":"query","required":true},{"schema":{"type":"number"},"name":"range","in":"query","required":true},{"schema":{"type":"string","enum":["DAY","HOUR","MINUTE"]},"name":"rangeType","in":"query","required":true},{"schema":{"type":"number"},"name":"status","in":"query","required":true},{"schema":{"type":"string"},"name":"timezone","in":"query","required":false}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model63"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/analytics/traffic-segments-trends/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model64":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/result"}},"required":["result"]},"result":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/analytics/traffic-segments-trends/{tagId}":{"get":{"operationId":"getTagAnalyticsTrafficsegmentstrendsTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"from","in":"query","required":true},{"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"name":"to","in":"query","required":true},{"schema":{"type":"string","default":"UTC","maxLength":50},"name":"timezone","in":"query"}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model64"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## GET /tag/verify/mapping/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model67":{"type":"object","properties":{"message":{"type":"string"},"valid":{"type":"boolean"},"records":{"$ref":"#/components/schemas/Model66"}}},"Model66":{"type":"array","items":{"$ref":"#/components/schemas/Model65"}},"Model65":{"type":"object","properties":{"value":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"TTL":{"type":"number"},"note":{"type":"string"}},"required":["value","type"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"}}},"paths":{"/tag/verify/mapping/{tagId}":{"get":{"operationId":"getTagVerifyMappingTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model67"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}}}}}}
```

## POST /tag

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model92":{"type":"object","properties":{"tagId":{"type":"string"},"domain":{"type":"string"},"plan":{"type":"string"}},"required":["tagId","domain"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model91":{"type":"object","properties":{"name":{"type":"string"},"rootDomain":{"type":"string"},"debug":{"type":"boolean"},"sameSite":{"$ref":"#/components/schemas/sameSite"},"managed":{"type":"boolean"},"hostId":{"type":"string"},"teamId":{"type":"string"},"cookieMapKey":{"type":"string"},"platform":{"$ref":"#/components/schemas/platform"},"d1UserScale":{"type":"number"},"tagType":{"$ref":"#/components/schemas/tagType"}},"required":["name","rootDomain","debug","managed"]},"sameSite":{"type":"string","enum":["NONE","LAX","STRICT"]},"platform":{"type":"string","enum":["EDGETAG","SHOPIFY","WOOCOMMERCE","BIGCOMMERCE","MAGENTO","SALESFORCE","WIX"]},"tagType":{"type":"string","enum":["ECOMMERCE","LEAD_GENERATION","HEALTH_AND_WELLNESS","HIPAA"]}}},"paths":{"/tag":{"post":{"operationId":"postTag","tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model92"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"406":{"description":"Not Acceptable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model91"}}}}}}}}
```

## POST /tag/mode/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model99":{"type":"object","properties":{"mode":{"$ref":"#/components/schemas/mode"}},"required":["mode"]},"mode":{"type":"string","enum":["SINGLE","WFP"]}}},"paths":{"/tag/mode/{tagId}":{"post":{"operationId":"postTagModeTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model99"}}}}}}}}
```

## POST /tag/subdomain/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model101":{"type":"object","properties":{"enabled":{"type":"boolean"},"previews_enabled":{"type":"boolean"}},"required":["enabled","previews_enabled"]},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model100":{"type":"object","properties":{"enabled":{"type":"boolean"}},"required":["enabled"]}}},"paths":{"/tag/subdomain/{tagId}":{"post":{"operationId":"postTagSubdomainTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model101"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model100"}}}}}}}}
```

## POST /tag/{tagId}/plugins-order

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model103":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model102":{"type":"object","properties":{"pluginsOrder":{"$ref":"#/components/schemas/pluginsOrder"}}},"pluginsOrder":{"type":"array","items":{"type":"string"}}}},"paths":{"/tag/{tagId}/plugins-order":{"post":{"operationId":"postTagTagidPluginsorder","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model103"}}}},"407":{"description":"Proxy Authentication Required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model102"}}}}}}}}
```

## POST /tag/{tagId}/id-graph-query

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model104":{"type":"object","properties":{"query":{"type":"string"},"databases":{"$ref":"#/components/schemas/databases"}},"required":["query"]},"databases":{"type":"array","items":{"type":"string"}}}},"paths":{"/tag/{tagId}/id-graph-query":{"post":{"operationId":"postTagTagidIdgraphquery","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model104"}}}}}}}}
```

## PUT /tag/d1/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model126":{"type":"object","properties":{"d1UserScale":{"type":"number"},"d1UserCount":{"type":"number"}}}}},"paths":{"/tag/d1/{tagId}":{"put":{"operationId":"putTagD1Tagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model126"}}}}}}}}
```

## PUT /tag/settings/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model127":{"type":"object","properties":{"showDeleteRequest":{"type":"boolean"},"allowHyperscalerQuery":{"type":"boolean"}}}}},"paths":{"/tag/settings/{tagId}":{"put":{"operationId":"putTagSettingsTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model127"}}}}}}}}
```

## PUT /tag/share-dns/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model129":{"type":"object","properties":{"message":{"type":"string"}}},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model128":{"type":"object","properties":{"emails":{"$ref":"#/components/schemas/emails"}},"required":["emails"]},"emails":{"type":"array","minItems":1,"items":{"type":"string"}}}},"paths":{"/tag/share-dns/{tagId}":{"put":{"operationId":"putTagSharednsTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model129"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model128"}}}}}}}}
```

## PUT /admin/tag/configurator/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model130":{"type":"object","properties":{"configuratorSetting":{"$ref":"#/components/schemas/configuratorSetting"}},"required":["configuratorSetting"]},"configuratorSetting":{"type":"array","items":{"type":"string"}}}},"paths":{"/admin/tag/configurator/{tagId}":{"put":{"operationId":"putAdminTagConfiguratorTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"409":{"description":"Tag does not exist","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model130"}}}}}}}}
```

## PATCH /tag/bindings/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model135":{"type":"object","properties":{"bindings":{"type":"string"}}}}},"paths":{"/tag/bindings/{tagId}":{"patch":{"operationId":"patchTagBindingsTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model135"}}}}}}}}
```

## PATCH /tag/custom-code/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model137":{"type":"object","properties":{"customCode":{"type":"string"}}}}},"paths":{"/tag/custom-code/{tagId}":{"patch":{"operationId":"patchTagCustomcodeTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model137"}}}}}}}}
```

## PATCH /tag/status/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model140":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/status"}},"required":["status"]},"status":{"type":"string","enum":["ACTIVE","PAUSED","DELETED","HARD_DELETED"]}}},"paths":{"/tag/status/{tagId}":{"patch":{"operationId":"patchTagStatusTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model140"}}}}}}}}
```

## PATCH /tag/storage/{tagId}

>

```json
{"openapi":"3.1.1","info":{"title":"EdgeTag API","version":"1.0.0"},"servers":[{"url":"https://api.edgetag.io/v1"}],"security":[{"bearer":[],"teamId":[]}],"components":{"securitySchemes":{},"schemas":{"Model42":{"type":"object"},"Model6":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"statusCode":{"type":"number"},"attributes":{"$ref":"#/components/schemas/attributes"}},"required":["message","statusCode"]},"attributes":{"type":"object"},"Model141":{"type":"object","properties":{"backup":{"type":"string"},"observability":{"type":"boolean"},"eventReplay":{"type":"boolean"}},"required":["observability","eventReplay"]}}},"paths":{"/tag/storage/{tagId}":{"patch":{"operationId":"patchTagStorageTagid","parameters":[{"schema":{"type":"string"},"name":"tagId","in":"path","required":true}],"tags":["tag"],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model42"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model6"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model141"}}}}}}}}
```
